com.sun.jna.platform.win32

## Interface Winevt.EVT_RENDER_CONTEXT_FLAGS

- Enclosing interface:
    Winevt

      public static interface Winevt.EVT_RENDER_CONTEXT_FLAGS

  Defines the values that specify the type of information to access from the event. https://msdn.microsoft.com/en-us/library/windows/desktop/aa385561(v=vs.85).aspx

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `EvtRenderContextSystem` Render the system properties under the System element.
    `static int` | `EvtRenderContextUser` Render all user-defined properties under the UserData or EventData element.
    `static int` | `EvtRenderContextValues` Render specific properties from the event.

- - ### Field Detail

    - #### EvtRenderContextValues

          static final int EvtRenderContextValues

      Render specific properties from the event.
      See Also:
        Constant Field Values

    - #### EvtRenderContextSystem

          static final int EvtRenderContextSystem

      Render the system properties under the System element. The properties are returned in the order defined in the `Winevt.EVT_SYSTEM_PROPERTY_ID` enumeration.
      See Also:
        Constant Field Values

    - #### EvtRenderContextUser

          static final int EvtRenderContextUser

      Render all user-defined properties under the UserData or EventData element. If the data template associated with the event contains a UserData section, the UserData properties are rendered; otherwise, the EventData properties are rendered.
      See Also:
        Constant Field Values

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.